### Hierarchy

- StatePropsOfExpandPanel
- DispatchPropsOfExpandPanel
  - ExpandPanelProps

## Index

### Properties

- cells
- childLabel
- childLabelProp
- childPath
- config
- enableMoveDown
- enableMoveUp
- expanded
- index
- path
- renderers
- rootSchema
- schema
- uischema
- uischemas

### Methods

- handleExpansion
- moveDown
- moveUp
- removeItems

## Properties

### Optional cells

cells: JsonFormsCellRendererRegistryEntry[]

Inherited from OwnPropsOfExpandPanel.cells

- Defined in packages/material/src/layouts/ExpandPanelRenderer.tsx:45

### childLabel

childLabel: string

Inherited from StatePropsOfExpandPanel.childLabel

- Defined in packages/material/src/layouts/ExpandPanelRenderer.tsx:56

### Optional childLabelProp

childLabelProp: string

Inherited from OwnPropsOfExpandPanel.childLabelProp

- Defined in packages/material/src/layouts/ExpandPanelRenderer.tsx:51

### childPath

childPath: string

Inherited from StatePropsOfExpandPanel.childPath

- Defined in packages/material/src/layouts/ExpandPanelRenderer.tsx:57

### config

config: any

Inherited from OwnPropsOfExpandPanel.config

- Defined in packages/material/src/layouts/ExpandPanelRenderer.tsx:50

### enableMoveDown

enableMoveDown: boolean

Inherited from StatePropsOfExpandPanel.enableMoveDown

Overrides OwnPropsOfExpandPanel.enableMoveDown

- Defined in packages/material/src/layouts/ExpandPanelRenderer.tsx:59

### enableMoveUp

enableMoveUp: boolean

Inherited from StatePropsOfExpandPanel.enableMoveUp

Overrides OwnPropsOfExpandPanel.enableMoveUp

- Defined in packages/material/src/layouts/ExpandPanelRenderer.tsx:58

### expanded

expanded: boolean

Inherited from OwnPropsOfExpandPanel.expanded

- Defined in packages/material/src/layouts/ExpandPanelRenderer.tsx:43

### index

index: number

Inherited from OwnPropsOfExpandPanel.index

- Defined in packages/material/src/layouts/ExpandPanelRenderer.tsx:39

### path

path: string

Inherited from OwnPropsOfExpandPanel.path

- Defined in packages/material/src/layouts/ExpandPanelRenderer.tsx:40

### Optional renderers

renderers: JsonFormsRendererRegistryEntry[]

Inherited from OwnPropsOfExpandPanel.renderers

- Defined in packages/material/src/layouts/ExpandPanelRenderer.tsx:44

### rootSchema

rootSchema: JsonSchema

Inherited from OwnPropsOfExpandPanel.rootSchema

- Defined in packages/material/src/layouts/ExpandPanelRenderer.tsx:47

### schema

schema: JsonSchema

Inherited from OwnPropsOfExpandPanel.schema

- Defined in packages/material/src/layouts/ExpandPanelRenderer.tsx:42

### uischema

uischema: ControlElement

Inherited from OwnPropsOfExpandPanel.uischema

- Defined in packages/material/src/layouts/ExpandPanelRenderer.tsx:41

### Optional uischemas

uischemas: JsonFormsUISchemaRegistryEntry[]

Inherited from OwnPropsOfExpandPanel.uischemas

- Defined in packages/material/src/layouts/ExpandPanelRenderer.tsx:46

## Methods

### handleExpansion

- handleExpansion(panel: string): (event: any, expanded: boolean) => void

- Inherited from OwnPropsOfExpandPanel.handleExpansion

  - Defined in packages/material/src/layouts/ExpandPanelRenderer.tsx:52

  #### Parameters

  - ##### panel: string

  #### Returns (event: any, expanded: boolean) => void

  - - (event: any, expanded: boolean): void

    - #### Parameters

      - ##### event: any

      - ##### expanded: boolean

      #### Returns void

### moveDown

- moveDown(path: string, toMove: number): (event: any) => void

- Inherited from DispatchPropsOfExpandPanel.moveDown

  - Defined in packages/material/src/layouts/ExpandPanelRenderer.tsx:68

  #### Parameters

  - ##### path: string

  - ##### toMove: number

  #### Returns (event: any) => void

  - - (event: any): void

    - #### Parameters

      - ##### event: any

      #### Returns void

### moveUp

- moveUp(path: string, toMove: number): (event: any) => void

- Inherited from DispatchPropsOfExpandPanel.moveUp

  - Defined in packages/material/src/layouts/ExpandPanelRenderer.tsx:67

  #### Parameters

  - ##### path: string

  - ##### toMove: number

  #### Returns (event: any) => void

  - - (event: any): void

    - #### Parameters

      - ##### event: any

      #### Returns void

### removeItems

- removeItems(path: string, toDelete: number[]): (event: any) => void

- Inherited from DispatchPropsOfExpandPanel.removeItems

  - Defined in packages/material/src/layouts/ExpandPanelRenderer.tsx:66

  #### Parameters

  - ##### path: string

  - ##### toDelete: number[]

  #### Returns (event: any) => void

  - - (event: any): void

    - #### Parameters

      - ##### event: any

      #### Returns void

Generated using TypeDoc